# DateSelect
时间选择器


![](https://img.shields.io/badge/DateSelect-1.0.4-green)



## 使用方法

### 根目录下build.gradle添加Maven地址
~~~
repositories {
        maven {
            //allowInsecureProtocol = true//build:gradle版本大于4.1.3添加
            url "http://maven.keleyanyi.com/repository/benyanyi/"
        }
    }
~~~
### module 下添加
~~~
implementation 'com.yanyi.benyanyi:DateSelect:1.0.4'
~~~

或者
~~~
<dependency>
  <groupId>com.yanyi.benyanyi</groupId>
  <artifactId>DateSelect</artifactId>
  <version>1.0.4</version>
  <type>aar</type>
</dependency>
~~~
### 1.0.1版本
#### SelectPeriod添加是否进行时间判断
~~~
SelectPeriod(Context context, SelectType selectType, boolean judgmentTime)
SelectData selectData = new SelectData(this,selectType);
~~~
其余与1.0.0版本一样

#### SelectType 表示需要隐藏的段落
* NONE 不隐藏
* HOUR 隐藏时
* MIN 隐藏分
##### 添加SelectPeriod(时间段选择，judgmentTime：（结束时间需大于开始时间，且不能大于当前时间）)
~~~
SelectPeriod selectPeriod = new SelectPeriod(mContext);
selectPeriod.showAtLocation(view, Gravity.BOTTOM, 0, 0);
selectPeriod.setOnDateClickListener(new SelectPeriod.OnDateClickListener() {
    @Override
    public void onDateClickListener(String startTime, String endTime) {
                     
    }
});
~~~
### 1.0.0版本
#### 带时间的选择器(judgmentTime：（结束时间需大于开始时间，且不能大于当前时间）)
~~~
SelectData selectData = new SelectData(this);
selectData.showAtLocation(but, Gravity.BOTTOM, 0, 0);
selectData.setDateClickListener(new SelectData.OnDateClickListener() {
    @Override
    public void onClick(String year, String month, String day, String hour, String minute) {
       Toast.makeText(MainActivity.this, year + "-" + month + "-" + day + " " + hour + ":" + minute, Toast.LENGTH_SHORT).show();
    }
});
~~~
#### 不带时间的选择器（judgmentTime：（结束时间需大于开始时间））
~~~
SelectData selectData = new SelectData(this,false);
selectData.showAtLocation(but, Gravity.BOTTOM, 0, 0);
selectData.setDateClickListener(new SelectData.OnDateClickListener() {
    @Override
    public void onClick(String year, String month, String day, String hour, String minute) {
        Toast.makeText(MainActivity.this, year + "-" + month + "-" + day , Toast.LENGTH_SHORT).show();
    }
});
~~~
## 更新记录
* 2021-08-27 提交1.0.4版本 升级gradle版本，修改maven地址
* 2021-03-14 提交1.0.3版本 删除开始时间和结束时间不能超过当前时间限制
* 2020-05-18 提交1.0.2版本，将android support转成androidx支持,并将Maven库存放到个人服务器上
* 2019-06-12 提交1.0.1版本，优化一些已知细节,变更包名，开源库包名进行统一
* 2018-06-09 提交1.0.0版本
---
<br/>
若在使用过程中出现什么问题，可以联系作者<br/>
作者：演绎<br/>
QQ：1541612424<br/>
email： work@yanyi.red<br/>
微信公众号：benyanyi(演绎未来)&nbsp;&nbsp;&nbsp;将会不定期的更新关于android的一些文章